AutoDiscoveryJmxSupportFactory (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.support.AutoDiscoveryJmxSupportFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.support
Class AutoDiscoveryJmxSupportFactory

    java.lang.Object
      org.mule.module.management.support.AutoDiscoveryJmxSupportFactory

All Implemented Interfaces:
  JmxSupportFactory

    public class AutoDiscoveryJmxSupportFactory

extends Object
implements JmxSupportFactory

Will discover if newer JMX version is available, otherwise fallback to JMX 1.1 style support.

Constructor Summary
`protected` | `AutoDiscoveryJmxSupportFactory()` Constructs a new AutoDiscoveryJmxSupportFactory.

Method Summary
`static JmxSupportFactory` | `getInstance()` Obtain an instance of the factory class.
`JmxSupport` | `getJmxSupport()` Will try to detect if JMX 1.2 or later is available, otherwise will fallback to the JMX 1.1 version of the support class.
`protected boolean` | `isModernSpecAvailable()` Is JMX 1.2 and up available for use?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoDiscoveryJmxSupportFactory

    protected AutoDiscoveryJmxSupportFactory()

  Constructs a new AutoDiscoveryJmxSupportFactory.

Method Detail

### getInstance

    public static JmxSupportFactory getInstance()

  Obtain an instance of the factory class.

  Returns:
    a cached singleton instance

### getJmxSupport

    public JmxSupport getJmxSupport()

  Will try to detect if JMX 1.2 or later is available, otherwise will fallback to the JMX 1.1 version of the support class.

  Specified by:
    `getJmxSupport` in interface `JmxSupportFactory`
  Returns:
    matching support class instance
  See Also:
    `JmxLegacySupport`

### isModernSpecAvailable

    protected boolean isModernSpecAvailable()

  Is JMX 1.2 and up available for use?

  Returns:
    false if only JMX 1.1 can be used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.